# OgreNode.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreMatrix3.h"`
`#include "OgreMatrix4.h"`
`#include "OgreQuaternion.h"`
`#include "OgreString.h"`
`#include "OgreRenderable.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::Node
| Class representing a general-purpose node an articulated scene graph. More...
class | Ogre::Node::Listener
| Listener which gets called back on Node events. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:05 2008